project: 
  type: website
  output-dir: public
  render:
    - "*.qmd"
    - "*.md" 
    - "!*.tex.md"
    - "!/Meta/Modèles"

toc: true
number-sections: true

website:
  title: "Suivi de la thèse"
  navbar:
    left:
      - icon: journals
        href: index.qmd
        text: "Liste des pages"
    right: 
      - icon: git
        href: https://git.polarolouis.fr/polarolouis/knowledge-base
        aria-label: Dépôt Git de la base
  
lang: fr

date: last-modified
date-modified: last-modified

author:
  name: Louis Lacoste
  email: louis.lacoste@agroparistech.fr
  affiliation: MIA Paris-Saclay, INRAE, AgroParisTech, Université Paris-Saclay
  orcid: 0009-0004-0178-9821
  github: Polarolouis

format: 
    html:
      theme: yeti
      toc: true
      html-math-method: katex
      embed-resources: false

filters:
  - scripts/wikilinks.lua
  - scripts/replace-tex-macros.lua
  - scripts/clean-latex-env.lua